<template>
  <div class="container">
    <div class="ms-auto col-12 col-lg-4 text-center error-page">
      <div class="error-name">
        {{ error.statusCode === 404 ? 'Страница не найдена' : error.message }}
      </div>
      <div class="error-code">{{ error.statusCode }}</div>
      <div class="error-label">ошибка</div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'LayoutError',
  layout: 'errorLayout',
  props: {
    error: {
      type: Object,
      default: () => {
        return {}
      },
    },
  },
  mounted() {
    document.body.classList.add('error-page')
  },
  destroyed() {
    document.body.classList.remove('error-page')
  },
}
</script>

<style lang="less" scoped>
.error {
  &-page {
    font-family: 'Playfair Display';
    font-style: normal;
    color: @g-black;
    font-weight: 400;
    font-size: 28px;
    line-height: 34px;
  }
  &-code {
    font-weight: 700;
    font-size: 197px;
    line-height: 236px;
    margin-top: -50px;
  }
}
</style>
